
flywheel = {};

function flywheel.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function flywheel:load(xmlFile) 
    -- flywheel
    self.flywheel = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.flywheel#index"));
    -- fan
    self.fan = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fan#index"));

end;


function flywheel:delete()
end;

function flywheel:update()
    if self.isMotorStarted then
--[[    
        -- Rotation based on RPM.
        rotate(self.flywheel, (self.motor.lastMotorRpm / self.motor.maxRpm[3]) * 46, 0,0);
        rotate(self.fan,      0, 0, (self.motor.lastMotorRpm / self.motor.maxRpm[3]) * -81);
       
]]        
        -- Fixed rotation intervals.

        if     self.motor.lastMotorRpm > 200 then
            rotate(self.flywheel, 46, 0, 0);
            rotate(self.fan,        0, 0, -81);

        elseif self.motor.lastMotorRpm > 100 then
            rotate(self.flywheel, 36, 0, 0);
            rotate(self.fan,        0, 0, -51);

        elseif self.motor.lastMotorRpm > 0 then
            rotate(self.flywheel, 26, 0, 0);
            rotate(self.fan,        0, 0, -9);

        end;
    end;
end;

function flywheel:draw()
end;

function flywheel:onEnter()
end;

function flywheel:onLeave()
end;

function flywheel:keyEvent(unicode, sym, modifier, isDown)
end;

function flywheel:mouseEvent(posX, posY, isDown, isUp, button)
end;
